import request from "@/utils/request";

// 列表
export function list(data) {
  return request({
    url: `/organization/organizationIndustry/page`,
    method: "post",
    data,
  });
}

// 详情
export function detail(id) {
  return request({
    url: `/organization/organizationIndustry/${id}`,
    method: "get",
  });
}

// 新增
export function submit(data) {
  return request({
    url: `/organization/organizationIndustry`,
    method: "post",
    data,
  });
}

// 修改
export function edit(data) {
  return request({
    url: `/organization/organizationIndustry`,
    method: "put",
    data,
  });
}

// 删除
export function remove(id) {
  return request({
    url: `/organization/organizationIndustry/${id}`,
    method: "delete",
  });
}

// 行业搜索
export function options() {
  return request({
    url: `/organization/organizationIndustry/selectList`,
    method: "get",
  });
}
